CVE-2023-43641

CVSS 3.1 Score 8.8 of 10 (high)

Details

Published Oct 9, 2023
Updated: Dec 9, 2023
CWE ID 787

Summary

CVE-2023-43641 is a vulnerability found in versions 2.2.1 and earlier of libcue, a library used for parsing and extracting data from CUE sheets. This vulnerability allows for out-of-bounds array access. Exploitation can occur when a user of the GNOME desktop environment downloads a cue sheet from a malicious webpage, which is then automatically scanned by tracker-miners since it is saved to the Downloads folder. Because the file has a .cue extension, tracker-miners use libcue to parse it, allowing an attacker to gain code execution. The issue has been patched in version 2.3.0. This vulnerability has a high severity rating, with potential impacts on confidentiality and integrity, requiring user interaction and network access for exploitation.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-43641 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options